Back to top

API Documentation

< Back

Kuali Research REST APIs - Negotiations

Research Negotiation

Negotiation Activities

Get Negotiation Activities by Key
GET/negotiation/api/v1/negotiation-activities/(key)

Example URI

GET /negotiation/api/v1/negotiation-activities/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Activities
GET/negotiation/api/v1/negotiation-activities/

Example URI

GET /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Activities with Filtering
GET/negotiation/api/v1/negotiation-activities/

Example URI

GET /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

activityId
string (optional) 

negotiationActivityId. Maximum length is 22. Validating pattern is ^[0-9]*$.

negotiationId
string (optional) 
activityTypeId
string (optional) 

Activity Type. Maximum length is 22. Validating pattern is ^[0-9]*$.

locationId
string (optional) 

Location. Maximum length is 22. Validating pattern is ^[0-9]*$.

startDate
string (optional) 

Activity Start Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

endDate
string (optional) 

Activity End Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

createDate
string (optional) 

Create Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

followupDate
string (optional) 

Follow-up Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

lastModifiedUsername
string (optional) 

Last Update By. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.

lastModifiedDate
string (optional) 

Last Update. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

description
string (optional) 

Activity Description. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

restricted
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Activities
GET/negotiation/api/v1/negotiation-activities/

Example URI

GET /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "activityId",
    "negotiationId",
    "activityTypeId",
    "locationId",
    "startDate",
    "endDate",
    "createDate",
    "followupDate",
    "lastModifiedUsername",
    "lastModifiedDate",
    "description",
    "restricted"
  ],
  "primaryKey": "activityId"
}

Get Blueprint API specification for Negotiation Activities
GET/negotiation/api/v1/negotiation-activities/

Example URI

GET /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activities.md"
transfer-encoding: chunked

Update Negotiation Activities
PUT/negotiation/api/v1/negotiation-activities/(key)

Example URI

PUT /negotiation/api/v1/negotiation-activities/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Activities
PUT/negotiation/api/v1/negotiation-activities/

Example URI

PUT /negotiation/api/v1/negotiation-activities/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Activities
PATCH/negotiation/api/v1/negotiation-activities/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-activities/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Activities
POST/negotiation/api/v1/negotiation-activities/

Example URI

POST /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Activities
POST/negotiation/api/v1/negotiation-activities/

Example URI

POST /negotiation/api/v1/negotiation-activities/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Activities by Key
DELETE/negotiation/api/v1/negotiation-activities/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-activities/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Activities
DELETE/negotiation/api/v1/negotiation-activities/

Example URI

DELETE /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Negotiation Activities with Matching
DELETE/negotiation/api/v1/negotiation-activities/

Example URI

DELETE /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

activityId
string (optional) 

negotiationActivityId. Maximum length is 22. Validating pattern is ^[0-9]*$.

negotiationId
string (optional) 
activityTypeId
string (optional) 

Activity Type. Maximum length is 22. Validating pattern is ^[0-9]*$.

locationId
string (optional) 

Location. Maximum length is 22. Validating pattern is ^[0-9]*$.

startDate
string (optional) 

Activity Start Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

endDate
string (optional) 

Activity End Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

createDate
string (optional) 

Create Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

followupDate
string (optional) 

Follow-up Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

lastModifiedUsername
string (optional) 

Last Update By. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.

lastModifiedDate
string (optional) 

Last Update. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

description
string (optional) 

Activity Description. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.

restricted
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Negotiation Activity Attachments

Get Negotiation Activity Attachments by Key
GET/negotiation/api/v1/negotiation-activity-attachments/(key)

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Activity Attachments
GET/negotiation/api/v1/negotiation-activity-attachments/

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Activity Attachments with Filtering
GET/negotiation/api/v1/negotiation-activity-attachments/

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

attachmentId
string (optional) 

attachmentId. Maximum length is 22. Validating pattern is ^[0-9]*$.

activityId
string (optional) 
fileId
string (optional) 
description
string (optional) 

Attachment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

restricted
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Activity Attachments
GET/negotiation/api/v1/negotiation-activity-attachments/

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "attachmentId",
    "activityId",
    "fileId",
    "description",
    "restricted"
  ],
  "primaryKey": "attachmentId"
}

Get Blueprint API specification for Negotiation Activity Attachments
GET/negotiation/api/v1/negotiation-activity-attachments/

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activity Attachments.md"
transfer-encoding: chunked

Update Negotiation Activity Attachments
PUT/negotiation/api/v1/negotiation-activity-attachments/(key)

Example URI

PUT /negotiation/api/v1/negotiation-activity-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Activity Attachments
PUT/negotiation/api/v1/negotiation-activity-attachments/

Example URI

PUT /negotiation/api/v1/negotiation-activity-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Activity Attachments
PATCH/negotiation/api/v1/negotiation-activity-attachments/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-activity-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Activity Attachments
POST/negotiation/api/v1/negotiation-activity-attachments/

Example URI

POST /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Activity Attachments
POST/negotiation/api/v1/negotiation-activity-attachments/

Example URI

POST /negotiation/api/v1/negotiation-activity-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Activity Attachments by Key
DELETE/negotiation/api/v1/negotiation-activity-attachments/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-activity-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Activity Attachments
DELETE/negotiation/api/v1/negotiation-activity-attachments/

Example URI

DELETE /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Negotiation Activity Attachments with Matching
DELETE/negotiation/api/v1/negotiation-activity-attachments/

Example URI

DELETE /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

attachmentId
string (optional) 

attachmentId. Maximum length is 22. Validating pattern is ^[0-9]*$.

activityId
string (optional) 
fileId
string (optional) 
description
string (optional) 

Attachment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

restricted
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Negotiation Activity Types

Get Negotiation Activity Types by Key
GET/negotiation/api/v1/negotiation-activity-types/(key)

Example URI

GET /negotiation/api/v1/negotiation-activity-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Activity Types
GET/negotiation/api/v1/negotiation-activity-types/

Example URI

GET /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Activity Types with Filtering
GET/negotiation/api/v1/negotiation-activity-types/

Example URI

GET /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

id
string (optional) 

Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

code
string (optional) 

Activity Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 30. Validating pattern is .*.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Activity Types
GET/negotiation/api/v1/negotiation-activity-types/

Example URI

GET /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Activity Types
GET/negotiation/api/v1/negotiation-activity-types/

Example URI

GET /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activity Types.md"
transfer-encoding: chunked

Update Negotiation Activity Types
PUT/negotiation/api/v1/negotiation-activity-types/(key)

Example URI

PUT /negotiation/api/v1/negotiation-activity-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Activity Types
PUT/negotiation/api/v1/negotiation-activity-types/

Example URI

PUT /negotiation/api/v1/negotiation-activity-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Activity Types
PATCH/negotiation/api/v1/negotiation-activity-types/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-activity-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Activity Types
POST/negotiation/api/v1/negotiation-activity-types/

Example URI

POST /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Activity Types
POST/negotiation/api/v1/negotiation-activity-types/

Example URI

POST /negotiation/api/v1/negotiation-activity-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Activity Types by Key
DELETE/negotiation/api/v1/negotiation-activity-types/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-activity-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Activity Types
DELETE/negotiation/api/v1/negotiation-activity-types/

Example URI

DELETE /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Negotiation Activity Types with Matching
DELETE/negotiation/api/v1/negotiation-activity-types/

Example URI

DELETE /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

code
string (optional) 

Activity Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 30. Validating pattern is .*.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Negotiation Agreement Types

Get Negotiation Agreement Types by Key
GET/negotiation/api/v1/negotiation-agreement-types/(key)

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Agreement Types
GET/negotiation/api/v1/negotiation-agreement-types/

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Agreement Types with Filtering
GET/negotiation/api/v1/negotiation-agreement-types/

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

id
string (optional) 

Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

code
string (optional) 

Agreement Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is .*.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Agreement Types
GET/negotiation/api/v1/negotiation-agreement-types/

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Agreement Types
GET/negotiation/api/v1/negotiation-agreement-types/

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Agreement Types.md"
transfer-encoding: chunked

Update Negotiation Agreement Types
PUT/negotiation/api/v1/negotiation-agreement-types/(key)

Example URI

PUT /negotiation/api/v1/negotiation-agreement-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Agreement Types
PUT/negotiation/api/v1/negotiation-agreement-types/

Example URI

PUT /negotiation/api/v1/negotiation-agreement-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Agreement Types
PATCH/negotiation/api/v1/negotiation-agreement-types/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-agreement-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Agreement Types
POST/negotiation/api/v1/negotiation-agreement-types/

Example URI

POST /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Agreement Types
POST/negotiation/api/v1/negotiation-agreement-types/

Example URI

POST /negotiation/api/v1/negotiation-agreement-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Agreement Types by Key
DELETE/negotiation/api/v1/negotiation-agreement-types/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-agreement-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Agreement Types
DELETE/negotiation/api/v1/negotiation-agreement-types/

Example URI

DELETE /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Negotiation Agreement Types with Matching
DELETE/negotiation/api/v1/negotiation-agreement-types/

Example URI

DELETE /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

code
string (optional) 

Agreement Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is .*.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Negotiation Association Types

Get Negotiation Association Types by Key
GET/negotiation/api/v1/negotiation-association-types/(key)

Example URI

GET /negotiation/api/v1/negotiation-association-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "linkedBoClass": "(val)",
  "sortId": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Association Types
GET/negotiation/api/v1/negotiation-association-types/

Example URI

GET /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Association Types with Filtering
GET/negotiation/api/v1/negotiation-association-types/

Example URI

GET /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

id
string (optional) 

Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

code
string (optional) 

Association Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 30. Validating pattern is .*.

linkedBoClass
string (optional) 

Links To Module. Maximum length is 32. Validating pattern is .*.

sortId
string (optional) 

Sort ID. Maximum length is 12. Validating pattern is ^[0-9]*$.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Association Types
GET/negotiation/api/v1/negotiation-association-types/

Example URI

GET /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "linkedBoClass",
    "sortId",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Association Types
GET/negotiation/api/v1/negotiation-association-types/

Example URI

GET /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Association Types.md"
transfer-encoding: chunked

Update Negotiation Association Types
PUT/negotiation/api/v1/negotiation-association-types/(key)

Example URI

PUT /negotiation/api/v1/negotiation-association-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "linkedBoClass": "(val)",
  "sortId": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Association Types
PUT/negotiation/api/v1/negotiation-association-types/

Example URI

PUT /negotiation/api/v1/negotiation-association-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Association Types
PATCH/negotiation/api/v1/negotiation-association-types/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-association-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "linkedBoClass": "(val)",
  "sortId": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Association Types
POST/negotiation/api/v1/negotiation-association-types/

Example URI

POST /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "linkedBoClass": "(val)",
  "sortId": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Association Types
POST/negotiation/api/v1/negotiation-association-types/

Example URI

POST /negotiation/api/v1/negotiation-association-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "linkedBoClass": "(val)",
    "sortId": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Association Types by Key
DELETE/negotiation/api/v1/negotiation-association-types/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-association-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Association Types
DELETE/negotiation/api/v1/negotiation-association-types/

Example URI

DELETE /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Negotiation Association Types with Matching
DELETE/negotiation/api/v1/negotiation-association-types/

Example URI

DELETE /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

code
string (optional) 

Association Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 30. Validating pattern is .*.

linkedBoClass
string (optional) 

Links To Module. Maximum length is 32. Validating pattern is .*.

sortId
string (optional) 

Sort ID. Maximum length is 12. Validating pattern is ^[0-9]*$.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Negotiation Custom Data

Get Negotiation Custom Data by Key
GET/negotiation/api/v1/negotiation-custom-data/(key)

Example URI

GET /negotiation/api/v1/negotiation-custom-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "negotiationCustomDataId": "(val)",
  "negotiationNumber": "(val)",
  "customAttributeId": "(val)",
  "value": "(val)",
  "negotiation.negotiationId": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Custom Data
GET/negotiation/api/v1/negotiation-custom-data/

Example URI

GET /negotiation/api/v1/negotiation-custom-data/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "negotiationCustomDataId": "(val)",
    "negotiationNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "negotiation.negotiationId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationCustomDataId": "(val)",
    "negotiationNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "negotiation.negotiationId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Custom Data with Filtering
GET/negotiation/api/v1/negotiation-custom-data/

Example URI

GET /negotiation/api/v1/negotiation-custom-data/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

negotiationCustomDataId
string (optional) 
negotiationNumber
string (optional) 
customAttributeId
string (optional) 
value
string (optional) 

Value. Maximum length is 2000. Validating pattern is ^[\u0000-\uFFFF]*$.

negotiation.negotiationId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "negotiationCustomDataId": "(val)",
    "negotiationNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "negotiation.negotiationId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationCustomDataId": "(val)",
    "negotiationNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "negotiation.negotiationId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Custom Data
GET/negotiation/api/v1/negotiation-custom-data/

Example URI

GET /negotiation/api/v1/negotiation-custom-data/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "negotiationCustomDataId",
    "negotiationNumber",
    "customAttributeId",
    "value",
    "negotiation.negotiationId"
  ],
  "primaryKey": "negotiationCustomDataId"
}

Get Blueprint API specification for Negotiation Custom Data
GET/negotiation/api/v1/negotiation-custom-data/

Example URI

GET /negotiation/api/v1/negotiation-custom-data/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Custom Data.md"
transfer-encoding: chunked

Negotiation Locations

Get Negotiation Locations by Key
GET/negotiation/api/v1/negotiation-locations/(key)

Example URI

GET /negotiation/api/v1/negotiation-locations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Locations
GET/negotiation/api/v1/negotiation-locations/

Example URI

GET /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Locations with Filtering
GET/negotiation/api/v1/negotiation-locations/

Example URI

GET /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

id
string (optional) 

Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

code
string (optional) 

Location Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 30. Validating pattern is .*.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Locations
GET/negotiation/api/v1/negotiation-locations/

Example URI

GET /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Locations
GET/negotiation/api/v1/negotiation-locations/

Example URI

GET /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Locations.md"
transfer-encoding: chunked

Update Negotiation Locations
PUT/negotiation/api/v1/negotiation-locations/(key)

Example URI

PUT /negotiation/api/v1/negotiation-locations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Locations
PUT/negotiation/api/v1/negotiation-locations/

Example URI

PUT /negotiation/api/v1/negotiation-locations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Locations
PATCH/negotiation/api/v1/negotiation-locations/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-locations/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Locations
POST/negotiation/api/v1/negotiation-locations/

Example URI

POST /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Locations
POST/negotiation/api/v1/negotiation-locations/

Example URI

POST /negotiation/api/v1/negotiation-locations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Locations by Key
DELETE/negotiation/api/v1/negotiation-locations/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-locations/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Locations
DELETE/negotiation/api/v1/negotiation-locations/

Example URI

DELETE /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Negotiation Locations with Matching
DELETE/negotiation/api/v1/negotiation-locations/

Example URI

DELETE /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

code
string (optional) 

Location Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 30. Validating pattern is .*.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Negotiation Notifications

Get Negotiation Notifications by Key
GET/negotiation/api/v1/negotiation-notifications/(key)

Example URI

GET /negotiation/api/v1/negotiation-notifications/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Notifications
GET/negotiation/api/v1/negotiation-notifications/

Example URI

GET /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Notifications with Filtering
GET/negotiation/api/v1/negotiation-notifications/

Example URI

GET /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

notificationId
string (optional) 
notificationTypeId
string (optional) 
documentNumber
string (optional) 
owningDocumentIdFk
string (optional) 
recipients
string (optional) 
subject
string (optional) 
message
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Notifications
GET/negotiation/api/v1/negotiation-notifications/

Example URI

GET /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "notificationId",
    "notificationTypeId",
    "documentNumber",
    "owningDocumentIdFk",
    "recipients",
    "subject",
    "message"
  ],
  "primaryKey": "notificationId"
}

Get Blueprint API specification for Negotiation Notifications
GET/negotiation/api/v1/negotiation-notifications/

Example URI

GET /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Notifications.md"
transfer-encoding: chunked

Update Negotiation Notifications
PUT/negotiation/api/v1/negotiation-notifications/(key)

Example URI

PUT /negotiation/api/v1/negotiation-notifications/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Notifications
PUT/negotiation/api/v1/negotiation-notifications/

Example URI

PUT /negotiation/api/v1/negotiation-notifications/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Notifications
PATCH/negotiation/api/v1/negotiation-notifications/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-notifications/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Notifications
POST/negotiation/api/v1/negotiation-notifications/

Example URI

POST /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Notifications
POST/negotiation/api/v1/negotiation-notifications/

Example URI

POST /negotiation/api/v1/negotiation-notifications/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Notifications by Key
DELETE/negotiation/api/v1/negotiation-notifications/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-notifications/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Notifications
DELETE/negotiation/api/v1/negotiation-notifications/

Example URI

DELETE /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Negotiation Notifications with Matching
DELETE/negotiation/api/v1/negotiation-notifications/

Example URI

DELETE /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

notificationId
string (optional) 
notificationTypeId
string (optional) 
documentNumber
string (optional) 
owningDocumentIdFk
string (optional) 
recipients
string (optional) 
subject
string (optional) 
message
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Negotiation Person Mass Changes

Get Negotiation Person Mass Changes by Key
GET/negotiation/api/v1/negotiation-person-mass-changes/(key)

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Person Mass Changes
GET/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Person Mass Changes with Filtering
GET/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

negotiationPersonMassChangeId
string (optional) 

Negotiation Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.

personMassChangeId
string (optional) 

Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.

negotiator
string (optional) 

Negotiator. Maximum length is 1. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Person Mass Changes
GET/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "negotiationPersonMassChangeId",
    "personMassChangeId",
    "negotiator"
  ],
  "primaryKey": "negotiationPersonMassChangeId"
}

Get Blueprint API specification for Negotiation Person Mass Changes
GET/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Person Mass Changes.md"
transfer-encoding: chunked

Update Negotiation Person Mass Changes
PUT/negotiation/api/v1/negotiation-person-mass-changes/(key)

Example URI

PUT /negotiation/api/v1/negotiation-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Person Mass Changes
PUT/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

PUT /negotiation/api/v1/negotiation-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Person Mass Changes
PATCH/negotiation/api/v1/negotiation-person-mass-changes/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-person-mass-changes/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Person Mass Changes
POST/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

POST /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Person Mass Changes
POST/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

POST /negotiation/api/v1/negotiation-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Person Mass Changes by Key
DELETE/negotiation/api/v1/negotiation-person-mass-changes/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-person-mass-changes/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Person Mass Changes
DELETE/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

DELETE /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Negotiation Person Mass Changes with Matching
DELETE/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

DELETE /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

negotiationPersonMassChangeId
string (optional) 

Negotiation Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.

personMassChangeId
string (optional) 

Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.

negotiator
string (optional) 

Negotiator. Maximum length is 1. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Negotiation Statuses

Get Negotiation Statuses by Key
GET/negotiation/api/v1/negotiation-statuses/(key)

Example URI

GET /negotiation/api/v1/negotiation-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Statuses
GET/negotiation/api/v1/negotiation-statuses/

Example URI

GET /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Statuses with Filtering
GET/negotiation/api/v1/negotiation-statuses/

Example URI

GET /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

id
string (optional) 

Id. Maximum length is 22. Validating pattern is ^[0-9]*$.

code
string (optional) 

Status Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 30. Validating pattern is .*.

active
string (optional) 

Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Statuses
GET/negotiation/api/v1/negotiation-statuses/

Example URI

GET /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Statuses
GET/negotiation/api/v1/negotiation-statuses/

Example URI

GET /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Statuses.md"
transfer-encoding: chunked

Update Negotiation Statuses
PUT/negotiation/api/v1/negotiation-statuses/(key)

Example URI

PUT /negotiation/api/v1/negotiation-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Statuses
PUT/negotiation/api/v1/negotiation-statuses/

Example URI

PUT /negotiation/api/v1/negotiation-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Statuses
PATCH/negotiation/api/v1/negotiation-statuses/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-statuses/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Statuses
POST/negotiation/api/v1/negotiation-statuses/

Example URI

POST /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Statuses
POST/negotiation/api/v1/negotiation-statuses/

Example URI

POST /negotiation/api/v1/negotiation-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Statuses by Key
DELETE/negotiation/api/v1/negotiation-statuses/(key)

Example URI

[...]
